DWARF_LNE_SET_ADDRESS(3) | Library Functions Manual | DWARF_LNE_SET_ADDRESS(3)

# NAME

`dwarf_lne_set_address` —
set the base address for line number information

# LIBRARY

DWARF Access Library (libdwarf, -ldwarf)

# SYNOPSIS

`#include <libdwarf.h>`

Dwarf_Unsigned
`dwarf_lne_set_address`(Dwarf_P_Debug dbg, Dwarf_Addr off, Dwarf_Unsigned symndx, Dwarf_Error *err);

# DESCRIPTION

Function `dwarf_lne_set_address`() sets the base address used by subsequent invocations of the dwarf_add_line_entry(3) function.

Argument dbg should reference a DWARF producer instance allocated using dwarf_producer_init(3) or dwarf_producer_init_b(3).

Argument off specifies a relocatable program address.

Argument symndx specifies the index of the ELF symbol to be used for relocation.

If argument err is not NULL, it will be used to store error information in case of an error.

# RETURN VALUES

On success, function `dwarf_lne_set_address`() returns `DW_DLV_OK`. In case of an error, function `dwarf_lne_set_address`() returns `DW_DLV_NOCOUNT` and sets the argument err.

# ERRORS

Function `dwarf_lne_set_address`() can fail with:

[`DW_DLE_ARGUMENT`]
  Argument dbg was NULL.
[`DW_DLE_ARGUMENT`]
  The argument symndx had an illegal value.
[`DW_DLE_MEMORY`]
  An out of memory condition was encountered during the execution of the function.

# SEE ALSO

dwarf(3), dwarf_add_directory_decl(3), dwarf_add_file_decl(3), dwarf_add_line_entry(3), dwarf_lne_end_sequence(3), dwarf_producer_init(3), dwarf_producer_init_b(3)

September 14, 2011 | NetBSD 9.2